Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Lisp/ Script for Quickselect and draworder

6 REPLIES 6
Reply
Message 1 of 7
Anonymous
2793 Views, 6 Replies

Lisp/ Script for Quickselect and draworder

I really have to do some simple task. But I havn't written any LISP/Script yet.

 

 

 

I  have 'n' layers and  want 

1- qselect(Quick select)

2- Quick select

Apply to: entire drawing

Object type: Multiple

Properties: Layer

Operator: equal

value: layername

 

 

2- Bring all elements oof 'layername' to top. by draworder and 

 

save dwg.

 Any help ?

 

Tags (2)
6 REPLIES 6
Message 2 of 7
Anonymous
in reply to: Anonymous

Qselect or filter commands will not work with scripts, try this line at the top of your script to filter for your layer then follow it with the draworder and save

 

(setq ss1 (ssget "X" ' ((8 . "yourlayername"))))

 

 

Message 3 of 7
Anonymous
in reply to: Anonymous

I tried this already

 

(defun c:SALL ()
(setq ss1 (ssget "X" ' ((8 . "LC"))))
)

 

but  running command SALL  doesn't do anything. No error.

 

Any lisp to bring  selected objects front or back by using draworder

Message 4 of 7
Anonymous
in reply to: Anonymous

Try this -

 

(Defun C:SALL()
(setq ss1 (ssget "X" ' ((8 . "LC"))))
(Command "Draworder" ss1 "" "Front" "")
)

 

 

 

Message 5 of 7
Anonymous
in reply to: Anonymous

It works. But I cann't use it in Autocad Lt. Is there any method to use it in Lt.

Message 6 of 7
Anonymous
in reply to: Anonymous

Best to try asking in the LT Forum,

Message 7 of 7
pendean
in reply to: Anonymous

SELECTSIMILAR then DRAWORDER: both commands explained in HELP.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Technology Administrators


Autodesk Design & Make Report